using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

using Xunit;

using LinqStudy;

namespace LinqStudy.Test.LinqToObject
{
    /// <summary>
    /// Select 测试
    /// </summary>
    public class SelectTest
    {
        [Fact]
        public void TestName()
        {
            // Arrange
            var persons = PersonManager.GetPersons();
            // Act
            var maps=persons.Select(p=>p.Age).ToList();
            
            // Assert
            Assert.IsType<List<int>>(maps);
        }
    }
}
